### Type alias: OpenApiSpec = OpenAPIObject

### Function: createEmptyApiSpec

#### createEmptyApiSpec() : OpenApiSpec

Create an empty OpenApiSpec object that's still a valid openapi document.

### Function: isReferenceObject

#### isReferenceObject(obj: object) : boolean

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
obj | `object` |  |  |

### Function: isSchemaObject

#### isSchemaObject(schema: SchemaObject | ReferenceObject) : boolean

Type guard for OpenAPI 3.0.0 schema object

Parameters

Name | Type | Default Value | Flags | Description
--- | --- | --- | --- | ---
schema | `SchemaObject | ReferenceObject` |  |  | An OpenAPI 3.0.0 schema object